import request from '@/utils/request'

// 查询用户积分分销列表
export function listPointRecordLog(query) {
  return request({
    url: '/cai/pointRecordLog/list',
    method: 'get',
    params: query
  })
}

// 查询用户积分分销详细
export function getPointRecordLog(id) {
  return request({
    url: '/cai/pointRecordLog/' + id,
    method: 'get'
  })
}

// 新增用户积分分销
export function addPointRecordLog(data) {
  return request({
    url: '/cai/pointRecordLog',
    method: 'post',
    data: data
  })
}

// 修改用户积分分销
export function updatePointRecordLog(data) {
  return request({
    url: '/cai/pointRecordLog',
    method: 'put',
    data: data
  })
}

// 删除用户积分分销
export function delPointRecordLog(id) {
  return request({
    url: '/cai/pointRecordLog/' + id,
    method: 'delete'
  })
}
